%global momorel 1
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE library for manipulating EXIF information embedded in images.
Name: libkexif
Version: 0.2.4
Release: %{momorel}m
License: GPL
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 bb3231a388c7117769ef1d0fb99a0a98
Patch0: libkexif-0.2.1-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libexif-devel >= 0.6.13

%description
Libkexif is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a save way that preserves
all other EXIF information in the file. It can currently modify the following
tags:
IFD0/Orientation
EXIF/UserCommend

%package devel
Summary: Static libraries and headers for libkipi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libkipi contains the libraries and header files needed to
develop programs which make use of libkexif.

%prep
%setup -q

%patch0 -p1 -b .gcc4

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr(-, root, root)
%{_includedir}/libkexif
%{_libdir}/pkgconfig/libkexif.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-1m)
- version 0.2.4

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-5m)
- add --enable-new-ldflags to configure

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-4m)
- add gcc4 patch 
- Patch0: libkexif-0.2.1-gcc4.patch

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-3m)
- rebuild against libexif-0.6.12-1m

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- version 0.2.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
